<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!--NewPage-->
<HTML>
<HEAD>
<!-- Generated by javadoc (build 1.5.0_17) on Fri Dec 04 18:31:07 CET 2009 -->
<TITLE>
PreprocessedMatrixFactory
</TITLE>

<META NAME="keywords" CONTENT="ch.javasoft.metabolic.efm.rankup.PreprocessedMatrixFactory interface">

<LINK REL ="stylesheet" TYPE="text/css" HREF="../../../../../stylesheet.css" TITLE="Style">

<SCRIPT type="text/javascript">
function windowTitle()
{
    parent.document.title="PreprocessedMatrixFactory";
}
</SCRIPT>
<NOSCRIPT>
</NOSCRIPT>

</HEAD>

<BODY BGCOLOR="white" onload="windowTitle();">


<!-- ========= START OF TOP NAVBAR ======= -->
<A NAME="navbar_top"><!-- --></A>
<A HREF="#skip-navbar_top" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_top_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/PreprocessedMatrixFactory.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessedMatrix.html" title="interface in ch.javasoft.metabolic.efm.rankup"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/metabolic/efm/rankup/PreprocessedMatrixFactory.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="PreprocessedMatrixFactory.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_top"></A>
<!-- ========= END OF TOP NAVBAR ========= -->

<HR>
<!-- ======== START OF CLASS DATA ======== -->
<H2>
<FONT SIZE="-1">
ch.javasoft.metabolic.efm.rankup</FONT>
<BR>
Interface PreprocessedMatrixFactory</H2>
<DL>
<DT><B>All Known Implementing Classes:</B> <DD><A HREF="../../../../../ch/javasoft/metabolic/efm/rankup/modpi/ModIntPrimeMatrixFactory.html" title="class in ch.javasoft.metabolic.efm.rankup.modpi">ModIntPrimeMatrixFactory</A>, <A HREF="../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/RankUpdateRoot.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree.urank">RankUpdateRoot</A>, <A HREF="../../../../../ch/javasoft/metabolic/efm/adj/incore/tree/urank/SearchAndRankUpdateRoot.html" title="class in ch.javasoft.metabolic.efm.adj.incore.tree.urank">SearchAndRankUpdateRoot</A></DD>
</DL>
<HR>
<DL>
<DT><PRE>public interface <A HREF="../../../../../src-html/ch/javasoft/metabolic/efm/rankup/PreprocessedMatrixFactory.html#line.47"><B>PreprocessedMatrixFactory</B></A></DL>
</PRE>

<P>
The <code>PreprocessedMatrixFactory</code> creates 
 <A HREF="../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessedMatrix.html" title="interface in ch.javasoft.metabolic.efm.rankup"><CODE>processed matrices</CODE></A> using implementation dependent 
 rank computation methods. Note that all methods are based on Gaussian 
 elimination, that is, a matrix triangularization is performed. The 
 implementation differences mostly concern the arithmetic used, such as 
 integer residue arithmetic, exact fractional arithmetic (with or without 
 copying), doube precision arithmetic (with or without copying) etc.
<P>

<P>
<HR>

<P>

<!-- ========== METHOD SUMMARY =========== -->

<A NAME="method_summary"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="2"><FONT SIZE="+2">
<B>Method Summary</B></FONT></TH>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessedMatrix.html" title="interface in ch.javasoft.metabolic.efm.rankup">PreprocessedMatrix</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessedMatrixFactory.html#createChildPreprocessedMatrix(ch.javasoft.metabolic.efm.rankup.PreprocessableMatrix, ch.javasoft.metabolic.efm.concurrent.RankUpdateToken, ch.javasoft.metabolic.efm.rankup.PreprocessedMatrix)">createChildPreprocessedMatrix</A></B>(<A HREF="../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessableMatrix.html" title="class in ch.javasoft.metabolic.efm.rankup">PreprocessableMatrix</A>&nbsp;owner,
                                                           <A HREF="../../../../../ch/javasoft/metabolic/efm/concurrent/RankUpdateToken.html" title="class in ch.javasoft.metabolic.efm.concurrent">RankUpdateToken</A>&nbsp;token,
                                                           <A HREF="../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessedMatrix.html" title="interface in ch.javasoft.metabolic.efm.rankup">PreprocessedMatrix</A>&nbsp;parentPreprocessedMatrix)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Create the matrix with the specified parent matrix.</TD>
</TR>
<TR BGCOLOR="white" CLASS="TableRowColor">
<TD ALIGN="right" VALIGN="top" WIDTH="1%"><FONT SIZE="-1">
<CODE>&nbsp;<A HREF="../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessedMatrix.html" title="interface in ch.javasoft.metabolic.efm.rankup">PreprocessedMatrix</A></CODE></FONT></TD>
<TD><CODE><B><A HREF="../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessedMatrixFactory.html#createInitialPreprocessedMatrix(ch.javasoft.metabolic.efm.rankup.PreprocessableMatrix, ch.javasoft.metabolic.efm.concurrent.RankUpdateToken)">createInitialPreprocessedMatrix</A></B>(<A HREF="../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessableMatrix.html" title="class in ch.javasoft.metabolic.efm.rankup">PreprocessableMatrix</A>&nbsp;owner,
                                                               <A HREF="../../../../../ch/javasoft/metabolic/efm/concurrent/RankUpdateToken.html" title="class in ch.javasoft.metabolic.efm.concurrent">RankUpdateToken</A>&nbsp;token)</CODE>

<BR>
&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Create the root matrix, the only one without a parent matrix.</TD>
</TR>
</TABLE>
&nbsp;
<P>

<!-- ============ METHOD DETAIL ========== -->

<A NAME="method_detail"><!-- --></A>
<TABLE BORDER="1" WIDTH="100%" CELLPADDING="3" CELLSPACING="0" SUMMARY="">
<TR BGCOLOR="#CCCCFF" CLASS="TableHeadingColor">
<TH ALIGN="left" COLSPAN="1"><FONT SIZE="+2">
<B>Method Detail</B></FONT></TH>
</TR>
</TABLE>

<A NAME="createInitialPreprocessedMatrix(ch.javasoft.metabolic.efm.rankup.PreprocessableMatrix, ch.javasoft.metabolic.efm.concurrent.RankUpdateToken)"><!-- --></A><H3>
createInitialPreprocessedMatrix</H3>
<PRE>
<A HREF="../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessedMatrix.html" title="interface in ch.javasoft.metabolic.efm.rankup">PreprocessedMatrix</A> <A HREF="../../../../../src-html/ch/javasoft/metabolic/efm/rankup/PreprocessedMatrixFactory.html#line.54"><B>createInitialPreprocessedMatrix</B></A>(<A HREF="../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessableMatrix.html" title="class in ch.javasoft.metabolic.efm.rankup">PreprocessableMatrix</A>&nbsp;owner,
                                                   <A HREF="../../../../../ch/javasoft/metabolic/efm/concurrent/RankUpdateToken.html" title="class in ch.javasoft.metabolic.efm.concurrent">RankUpdateToken</A>&nbsp;token)</PRE>
<DL>
<DD>Create the root matrix, the only one without a parent matrix. This 
 involves typically some initialization based on the stoichiometric 
 matrix, which is available from the <A HREF="../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup"><CODE>RankUpRoot</CODE></A>, typically 
 submitted to the constructor of a factory.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<HR>

<A NAME="createChildPreprocessedMatrix(ch.javasoft.metabolic.efm.rankup.PreprocessableMatrix, ch.javasoft.metabolic.efm.concurrent.RankUpdateToken, ch.javasoft.metabolic.efm.rankup.PreprocessedMatrix)"><!-- --></A><H3>
createChildPreprocessedMatrix</H3>
<PRE>
<A HREF="../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessedMatrix.html" title="interface in ch.javasoft.metabolic.efm.rankup">PreprocessedMatrix</A> <A HREF="../../../../../src-html/ch/javasoft/metabolic/efm/rankup/PreprocessedMatrixFactory.html#line.61"><B>createChildPreprocessedMatrix</B></A>(<A HREF="../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessableMatrix.html" title="class in ch.javasoft.metabolic.efm.rankup">PreprocessableMatrix</A>&nbsp;owner,
                                                 <A HREF="../../../../../ch/javasoft/metabolic/efm/concurrent/RankUpdateToken.html" title="class in ch.javasoft.metabolic.efm.concurrent">RankUpdateToken</A>&nbsp;token,
                                                 <A HREF="../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessedMatrix.html" title="interface in ch.javasoft.metabolic.efm.rankup">PreprocessedMatrix</A>&nbsp;parentPreprocessedMatrix)</PRE>
<DL>
<DD>Create the matrix with the specified parent matrix. This involves usually
 partial triangularization of the matrix. Some rows/columns are already
 triangularized in the parent matrix, the difference between parent and
 columns reflected by <A HREF="../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessableMatrix.html#nodeCutSet"><CODE>owner.nodeCutSet</CODE></A>.
<P>
<DD><DL>
</DL>
</DD>
</DL>
<!-- ========= END OF CLASS DATA ========= -->
<HR>


<!-- ======= START OF BOTTOM NAVBAR ====== -->
<A NAME="navbar_bottom"><!-- --></A>
<A HREF="#skip-navbar_bottom" title="Skip navigation links"></A>
<TABLE BORDER="0" WIDTH="100%" CELLPADDING="1" CELLSPACING="0" SUMMARY="">
<TR>
<TD COLSPAN=2 BGCOLOR="#EEEEFF" CLASS="NavBarCell1">
<A NAME="navbar_bottom_firstrow"><!-- --></A>
<TABLE BORDER="0" CELLPADDING="0" CELLSPACING="3" SUMMARY="">
  <TR ALIGN="center" VALIGN="top">
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../overview-summary.html"><FONT CLASS="NavBarFont1"><B>Overview</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-summary.html"><FONT CLASS="NavBarFont1"><B>Package</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#FFFFFF" CLASS="NavBarCell1Rev"> &nbsp;<FONT CLASS="NavBarFont1Rev"><B>Class</B></FONT>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="class-use/PreprocessedMatrixFactory.html"><FONT CLASS="NavBarFont1"><B>Use</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="package-tree.html"><FONT CLASS="NavBarFont1"><B>Tree</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../deprecated-list.html"><FONT CLASS="NavBarFont1"><B>Deprecated</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../index-files/index-1.html"><FONT CLASS="NavBarFont1"><B>Index</B></FONT></A>&nbsp;</TD>
  <TD BGCOLOR="#EEEEFF" CLASS="NavBarCell1">    <A HREF="../../../../../help-doc.html"><FONT CLASS="NavBarFont1"><B>Help</B></FONT></A>&nbsp;</TD>
  </TR>
</TABLE>
</TD>
<TD ALIGN="right" VALIGN="top" ROWSPAN=3><EM>
</EM>
</TD>
</TR>

<TR>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
&nbsp;<A HREF="../../../../../ch/javasoft/metabolic/efm/rankup/PreprocessedMatrix.html" title="interface in ch.javasoft.metabolic.efm.rankup"><B>PREV CLASS</B></A>&nbsp;
&nbsp;<A HREF="../../../../../ch/javasoft/metabolic/efm/rankup/RankUpRoot.html" title="interface in ch.javasoft.metabolic.efm.rankup"><B>NEXT CLASS</B></A></FONT></TD>
<TD BGCOLOR="white" CLASS="NavBarCell2"><FONT SIZE="-2">
  <A HREF="../../../../../index.html?ch/javasoft/metabolic/efm/rankup/PreprocessedMatrixFactory.html" target="_top"><B>FRAMES</B></A>  &nbsp;
&nbsp;<A HREF="PreprocessedMatrixFactory.html" target="_top"><B>NO FRAMES</B></A>  &nbsp;
&nbsp;<SCRIPT type="text/javascript">
  <!--
  if(window==top) {
    document.writeln('<A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>');
  }
  //-->
</SCRIPT>
<NOSCRIPT>
  <A HREF="../../../../../allclasses-noframe.html"><B>All Classes</B></A>
</NOSCRIPT>


</FONT></TD>
</TR>
<TR>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
  SUMMARY:&nbsp;NESTED&nbsp;|&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_summary">METHOD</A></FONT></TD>
<TD VALIGN="top" CLASS="NavBarCell3"><FONT SIZE="-2">
DETAIL:&nbsp;FIELD&nbsp;|&nbsp;CONSTR&nbsp;|&nbsp;<A HREF="#method_detail">METHOD</A></FONT></TD>
</TR>
</TABLE>
<A NAME="skip-navbar_bottom"></A>
<!-- ======== END OF BOTTOM NAVBAR ======= -->

<HR>

</BODY>
</HTML>
